PDA

View Full Version : FC9 Package Updater issue



cetol
17th May 2008, 03:28 PM
I have installed F9 from the live cd, so it was just the basic install. I have added Open Office 2.4 directly downloaded from the OO web site. Now the package updater wants to "update" my OO install with Fedora packages which are v2.3, and causes conflict issues. I have excluded open office in yumex but package updater still tries to update. (I don't want the Fedora packages because, according to OO, there are some java based functions that are disabled)
So can someone tell me how to either

1. Exclude OO from the pup, or
2. Turn off pup permanently (I'll just use yumex manually)

Regards
C ;)

RahulSundaram
17th May 2008, 03:50 PM
Hi,

Fedora 9 doesn't use pup. Pup and Pirut have been replaced with PackageKit. You need to exclude packages by specifying them in /etc/yum.conf

exclude=foo, bar*

cetol
17th May 2008, 09:45 PM
Thanks Rahul, worked like a charm!